Creating and Sending Email Broadcast
Create and send an email broadcast to every contact in a contact list with a single API request.
Before you begin
- Create a Contact List with a column that stores each contact’s email address.
- Copy the list’s unique identifier (
listId). You use this ID to target contacts in that list.
The following request sends "Welcome to EliPackage! This is a test" to each contact in the list.
Create and send an email broadcast
Send a request to POST /broadcasts with the following request body:
{
"deliveryMethod": "EMAIL",
"campaignName": "Email Broadcast",
"description": "Sending Broadcast now",
"listId": 95830,
"listField": "email",
"message": "<p>Welcome to EliPackage!</p> <p>This is a test</p>",
"origin": "[email protected]",
"scheduleWithoutDate": false,
"subject": "Email Test"
}The following parameters are shown in the request body example:
| Parameter | Required | Description |
|---|---|---|
| deliveryMethod | Yes | Specifies the type of delivery channel which the message will be sent: In this case, we enter the |
| campaignName | Yes | Name of the broadcast used as the main identifier. |
| description | Yes | Description of the broadcast. |
| listId | Yes | Enter the unique identifier of the list which contains the Recipients (contacts) of the broadcast. |
| listField | Yes |
Name of the column defined when creating the contact list that contains the emails of the contacts. |
| message | Yes | Content of the Email message that will be sent to the contacts. This can be a simple text or HTML format. |
| origin | Yes |
Source address of the broadcast. |
| scheduleWithoutDate | Yes |
Define the Date & Time of your broadcast
By default is |
| subject | Yes |
Headline of the email. |
| broadcastDate | No |
Applies only when the Set the date and time when the SMS messages will be sent in UTC format: (yyyy-mm-dd-Thh:mm:ss.ssZ). If you do not set the date, the sending of the broadcast will be pending. |
| filters | No |
Set the filter you want to apply on the message. |
| filterName | No |
Filter Name. The content is the name of the filter applied on the message. |
| throttle | No |
Message delivery speedometer. By default, 160 messages are sent per second. |
| clientId | No |
Unique user identifier that can be used for reporting purposes. |
Response
After you create and send the email broadcast, the response body contains the following data:
{
"meta": {
"timestamp": 1689879000421,
"transactionId": "98835d43-46a0-474b-a768"
},
"data": {
"id": 84288,
"beginDate": "2023-07-20T18:50:00.383688185Z",
"deliveryMethod": "EMAIL",
"campaignName": "Email Broadcast",
"createdBy": "[email protected]",
"operator": "[email protected]",
"description": "Sending Broadcast now",
"listId": 95830,
"listSize": 1,
"listField": "email",
"message": "<p>Welcome to EliPackage!</p> <p>This is a test</p>",
"origin": "[email protected]",
"broadcastDate": "2023-07-20T18:50:00.383677863Z",
"broadcastStatus": "SENDING",
"createdAt": "2023-07-20T18:50:00.378087288Z",
"scheduleWithoutDate": false,
"throttle": 160,
"notSentCounter": 1,
"messagesSentCounter": 0,
"subject": "Email Test"
}
}The following parameters are shown in the response body example:
| Parameter | Description |
|---|---|
| data | Data contained once the broadcast was created and sent. |
| data. id |
Unique identifier of the broadcast. |
| data. beginDate |
Date on which the creation and sending of the Broadcast begins. |
| data. deliveryMethod |
Delivery channel which the message will be sent: In this case, we enter the |
| data. campaignName |
Name of the broadcast used as the main identifier. |
| data. createdBy |
User who created and sent the broadcast. |
| data. operator |
User who is a member of the owner or creator of the broadcast. |
| data. description |
Description of the broadcast. |
| data. listId |
Unique identifier of the list which contains the Recipients (contacts) of the broadcast. |
| data. listSize |
Total number of lines read in the list. |
| data. listField |
Name of the column defined when creating the contact list that contains the emails of the contacts. |
| data. message |
Content of the Email message that will be sent to the contacts. This can be a simple text or HTML format. |
| data. origin |
Source address of the broadcast. |
| data. broadcastDate |
Optional. Applies only when the Set the date and time when the Email messages will be sent in UTC format: (yyyy-mm-dd-Thh:mm:ss.ssZ). If you do not set the date, the sending of the broadcast will be pending. |
| data. broadcastStatus |
When the broadcast is created and sent, the system assigns one of the following possible statuses to a Broadcast:
|
| data. createdAt |
Date when the broadcast was created and sent . |
| data. scheduleWithoutDate |
Date & Time of your broadcast
By default is |
| data. throttle |
Optional. Message delivery speedometer. By default, 160 messages are sent per second. |
| data. notSentCounter |
Total unsent messages. |
| data. messagesSentCounter |
Total sent messages. |
| data. subject |
Headline of the email. |
Updated 7 days ago
